add_library(Player src/EnemyEasyDifficultLvlStrategy.cpp src/EnemyHardDifficultLvlStrategy.cpp src/Player.cpp src/RealPlayer.cpp)

target_include_directories(Player PUBLIC include)

target_link_libraries(Player
    Battle
    Core
    Ship
)